%global momorel 5

Summary: userspace virtual filesystem
Name: gvfs
Version: 1.6.2
Release: %{momorel}m%{?dist}
License: LGPLv2+
Group: User Interface/Desktops
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.6/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: intltool
BuildRequires: pkgconfig
BuildRequires: glib2-devel >= 2.20.0
BuildRequires: gtk2-devel >= 2.16.0
BuildRequires: dbus-devel >= 1.2.4
BuildRequires: libsoup-devel >= 2.26.0
BuildRequires: libxml2-devel >= 2.7.3
BuildRequires: avahi-glib-devel >= 0.6.24
BuildRequires: avahi-devel >= 0.6.24
BuildRequires: libcdio-devel >= 0.82
BuildRequires: fuse-devel >= 2.7.4
BuildRequires: GConf2-devel >= 2.26.0
BuildRequires: hal-devel >= 0.5.12
BuildRequires: dbus-glib-devel >= 0.80
BuildRequires: bluez-libs-devel >= 4.32
BuildRequires: libgphoto2-devel >= 2.4.3
BuildRequires: gnome-keyring-devel >= 2.26.0
BuildRequires: gnome-disk-utility-devel
# required for AFC support
BuildRequires: libimobiledevice-devel >= 1.0.2
Requires: GConf2

%description
gvfs is a userspace virtual filesystem designed to work with the i/o
abstractions of gio (a library availible in glib >= 2.15.1). It
installs several modules that are automatically used by applications
using the APIs of libgio. There is also fuse support that allows
applications not using gio to access the gvfs filesystems.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%package fuse
Summary: FUSE support for gvfs
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: fuse-devel
Requires: fuse

%description fuse
This package provides support for applications not using gio
to access the gvfs filesystems.

%package smb
Summary: Windows fileshare support for gvfs
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: libsmbclient-devel
BuildRequires: libtalloc-devel

%description smb
This package provides support for reading and writing files on windows
shares (SMB) to applications using gvfs.

%package archive
Summary: Archiving support for gvfs
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: libarchive-devel

%description archive
This package provides support for accessing files inside Zip and Tar
archives, as well as ISO images, to applications using gvfs.

%package obexftp
Summary: ObexFTP support for gvfs
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: obex-data-server
BuildRequires: bluez-libs-devel
Obsoletes: gnome-vfs2-obexftp <= 0.4

%description obexftp
This package provides support for reading files on Bluetooth mobile
phones and devices through ObexFTP to applications using gvfs.

%package gphoto2
Summary: gphoto2 support for gvfs
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: libgphoto2-devel
BuildRequires: libusb-devel
BuildRequires: libexif-devel

%description gphoto2
This package provides support for reading and writing files on
PTP based cameras (Picture Transfer Protocol) and MTP based
media players (Media Transfer Protocol) to applications using gvfs.

%package afc
Summary: AFC support for gvfs
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: usbmuxd
BuildRequires: libimobiledevice-devel

%description afc
This package provides support for reading files on mobile devices
including phones and music players to applications using gvfs.

%prep
%setup -q

%build
%configure --enable-gtk-doc \
	--enable-silent-rules
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/profile.d/gvfs-bash-completion.sh
%{_bindir}/gvfs-cat
%{_bindir}/gvfs-copy
%{_bindir}/gvfs-info
%{_bindir}/gvfs-less
%{_bindir}/gvfs-ls
%{_bindir}/gvfs-mkdir
%{_bindir}/gvfs-monitor-dir
%{_bindir}/gvfs-monitor-file
%{_bindir}/gvfs-mount
%{_bindir}/gvfs-move
%{_bindir}/gvfs-open
%{_bindir}/gvfs-rename
%{_bindir}/gvfs-rm
%{_bindir}/gvfs-save
%{_bindir}/gvfs-set-attribute
%{_bindir}/gvfs-trash
%{_bindir}/gvfs-tree
%{_libdir}/gio/modules/libgiogconf.so
%{_libdir}/gio/modules/libgiogconf.la
%{_libdir}/gio/modules/libgioremote-volume-monitor.so
%{_libdir}/gio/modules/libgioremote-volume-monitor.la
%{_libdir}/gio/modules/libgvfsdbus.so
%{_libdir}/gio/modules/libgvfsdbus.la
%{_libdir}/libgvfscommon-dnssd.so.*
%{_libdir}/libgvfscommon.so.*
%exclude %{_libdir}/*.la
%{_libexecdir}/gvfs-gdu-volume-monitor
%{_libexecdir}/gvfsd
%{_libexecdir}/gvfsd-burn
%{_libexecdir}/gvfsd-cdda
%{_libexecdir}/gvfsd-computer
%{_libexecdir}/gvfsd-dav
%{_libexecdir}/gvfsd-dnssd
%{_libexecdir}/gvfsd-ftp
%{_libexecdir}/gvfsd-http
%{_libexecdir}/gvfsd-localtest
%{_libexecdir}/gvfsd-metadata
%{_libexecdir}/gvfsd-network
%{_libexecdir}/gvfsd-sftp
%{_libexecdir}/gvfsd-trash
%{_datadir}/dbus-1/services/gvfs-daemon.service
%{_datadir}/dbus-1/services/gvfs-metadata.service
%{_datadir}/dbus-1/services/org.gtk.Private.GduVolumeMonitor.service
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/mounts
%{_datadir}/%{name}/mounts/burn.mount
%{_datadir}/%{name}/mounts/cdda.mount
%{_datadir}/%{name}/mounts/computer.mount
%{_datadir}/%{name}/mounts/dav+sd.mount
%{_datadir}/%{name}/mounts/dav.mount
%{_datadir}/%{name}/mounts/dns-sd.mount
%{_datadir}/%{name}/mounts/ftp.mount
%{_datadir}/%{name}/mounts/http.mount
%{_datadir}/%{name}/mounts/localtest.mount
%{_datadir}/%{name}/mounts/network.mount
%{_datadir}/%{name}/mounts/sftp.mount
%{_datadir}/%{name}/mounts/trash.mount
%dir %{_datadir}/%{name}/remote-volume-monitors
%{_datadir}/%{name}/remote-volume-monitors/gdu.monitor

%files devel
%defattr(-, root, root, -)
%dir %{_includedir}/gvfs-client
%dir %{_includedir}/gvfs-client/gvfs
%{_includedir}/gvfs-client/gvfs/gvfsurimapper.h
%{_includedir}/gvfs-client/gvfs/gvfsuriutils.h
%{_libdir}/libgvfscommon-dnssd.so
%{_libdir}/libgvfscommon.so

%files fuse
%defattr(-, root, root, -)
%{_libexecdir}/gvfs-fuse-daemon

%files smb
%defattr(-, root, root, -)
%{_libexecdir}/gvfsd-smb
%{_libexecdir}/gvfsd-smb-browse
%{_datadir}/gvfs/mounts/smb-browse.mount
%{_datadir}/gvfs/mounts/smb.mount

%files archive
%defattr(-, root, root, -)
%{_libexecdir}/gvfsd-archive
%{_datadir}/gvfs/mounts/archive.mount

%files obexftp
%defattr(-, root, root, -)
%{_libexecdir}/gvfsd-obexftp
%{_datadir}/gvfs/mounts/obexftp.mount

%files gphoto2
%defattr(-, root, root, -)
%{_libexecdir}/gvfsd-gphoto2
%{_datadir}/gvfs/mounts/gphoto2.mount
%{_libexecdir}/gvfs-gphoto2-volume-monitor
%{_datadir}/dbus-1/services/org.gtk.Private.GPhoto2VolumeMonitor.service
%{_datadir}/gvfs/remote-volume-monitors/gphoto2.monitor

%files afc
%defattr(-, root, root, -)
%{_libexecdir}/gvfsd-afc
%{_datadir}/gvfs/mounts/afc.mount
%{_libexecdir}/gvfs-afc-volume-monitor
%{_datadir}/dbus-1/services/org.gtk.Private.AfcVolumeMonitor.service
%{_datadir}/gvfs/remote-volume-monitors/afc.monitor

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6.2-5m)
- full rebuild for mo7 release

* Sun Jul 25 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.6.2-4m)
- split off some subpackages (dependencies are too deep)

* Sun Jul 18 2010 NARITA Koichi <pulsar@momonga-liunx.org>
- (1.6.2-3m)
- rebuild against libcdio-0.82

* Sat Jul 17 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.2-2m)
- rebuild against libimobiledevice-1.0.2

* Sat May 29 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.2-1m)
- update to 1.6.2

* Thu Apr 29 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.1-1m)
- update to 1.6.1

* Sun Apr 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.0-1m)
- update to 1.6.0

* Fri Feb 26 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.5.3-2m)
- enable AFC support explicitly

* Tue Feb 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.5.3-1m)
- update to 1.5.3

* Tue Dec 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.3-1m)
- update to 1.4.3

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.1-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Oct 26 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.4.1-2m)
- add BuildPrereq

* Wed Oct 21 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.1-1m)
- update to 1.4.1

* Sat Sep 26 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.0-1m)
- update to 1.4.0

* Sat May 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.3-1m)
- update to 1.2.3

* Wed Apr 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.2-1m)
- update to 1.2.2

* Fri Apr  3 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1

* Mon Mar 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.0-1m)
- update to 1.2.0

* Thu Mar 12 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.8-1m)
- update to 1.1.8

* Fri Mar  6 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.7-1m)
- update to 1.1.7

* Mon Feb 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.6-1m)
- update to 1.1.6

* Sun Feb  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.5-1m)
- update to 1.1.5

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.3-3m)
- rebuild against rpm-4.6

* Sat Dec 20 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.0.3-2m)
- rebuild against bluez-4.22

* Mon Nov 24 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.3-1m)
- update to 1.0.3

* Mon Oct 20 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.2-1m)
- update to 1.0.2

* Thu Oct  2 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-1m)
- update to 1.0.1

* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.5-2m)
- rebuild against gnutls-2.4.1 (libsoup)

* Mon Jun 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.5-1m)
- update to 0.2.5

* Thu May 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.4-1m)
- update to 0.2.4

* Thu Apr 17 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.3-1m)
- update to 0.2.3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.2-2m)
- rebuild against gcc43

* Sat Mar 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.2-1m)
- update to 0.2.2

* Tue Mar 18 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.1-1m)
- update to 0.2.1

* Wed Mar 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.0.1-1m)
- initial build
